[lxc-devel] [PATCH v2] lxc-plamo: various small changes

TAMUKI Shoichi tamuki at linet.gr.jp
Sat Feb 8 09:15:40 UTC 2014


- Change redirection of fd 200 to 9 (greater than 9 may conflict with
  fd the shell uses internally)
- Replace numeric line addressing of ed to regular expression to avoid
  correcting the line addressing at each modification of init scripts
- Correct the option order (trivial)

Signed-off-by: TAMUKI Shoichi <tamuki at linet.gr.jp>
Signed-off-by: KATOH Yasufumi <karma at jazz.email.ne.jp>
---
 templates/lxc-plamo.in | 36 ++++++++++++++++++------------------
 1 file changed, 18 insertions(+), 18 deletions(-)

diff --git a/templates/lxc-plamo.in b/templates/lxc-plamo.in
index 1db5645..4e04b22 100644
--- a/templates/lxc-plamo.in
+++ b/templates/lxc-plamo.in
@@ -112,7 +112,7 @@ copy_plamo() {
 install_plamo() {
   mkdir -p @LOCALSTATEDIR@/lock/subsys
   (
-    if ! flock -n 200 ; then
+    if ! flock -n 9 ; then
       echo "Cache repository is busy."
       return 1
     fi
@@ -143,7 +143,7 @@ install_plamo() {
       return 1
     fi
     return 0
-  ) 200> @LOCALSTATEDIR@/lock/subsys/lxc-plamo
+  ) 9> @LOCALSTATEDIR@/lock/subsys/lxc-plamo
 }
 
 configure_plamo() {
@@ -207,17 +207,17 @@ configure_plamo() {
   echo "Please change root password!"
   # /etc/rc.d/rc.S
   ed - $rootfs/etc/rc.d/rc.S <<- "EOF"
-	230,261d
-	156,163d
-	26,147d
-	16,22d
+	/^mount -w -n -t proc/;/^# ln -s \/bin\/true/-1d
+	/^mknod \/dev\/unikey/;/^# Clean \/etc\/mtab/-2d
+	/^# copy the rules/;/^# Set the hostname/-1d
+	/^# Check the integrity/;/^# Clean up temporary/-1d
 	w
 	EOF
   # /etc/rc.d/rc.M
   ed - $rootfs/etc/rc.d/rc.M <<- "EOF"
-	269,270d
-	56,82d
-	31,38d
+	/^# Screen blanks/;/^# Initialize ip6tables/-1d
+	/^# Initialize sysctl/;/^echo "Starting services/-1d
+	/^sync/;/^# All done/-1d
 	w
 	EOF
   # /etc/rc.d/rc.inet1.tradnet
@@ -285,7 +285,7 @@ cleanup() {
   [ -d $dlcache -a -d $rtcache ] || return 0
   # lock, so we won't purge while someone is creating a repository
   (
-    if ! flock -n 200 ; then
+    if ! flock -n 9 ; then
       echo "Cache repository is busy."
       return 1
     fi
@@ -293,17 +293,17 @@ cleanup() {
     rm -rf --one-file-system $dlcache $rtcache || return 1
     echo "Done."
     return 0
-  ) 200> @LOCALSTATEDIR@/lock/subsys/lxc-plamo
+  ) 9> @LOCALSTATEDIR@/lock/subsys/lxc-plamo
 }
 
 usage() {
   cat <<- EOF
 	$prog [-h|--help] -p|--path=<path> -n|--name=<name> --rootfs=<rootfs>
-	          [--clean] [-r|--release=<release>] [-b|--bindhome=<user>]
-	          [-a|--arch=<arch>]
+	          [--clean] [-r|--release=<release>] [-a|--arch=<arch>]
+	          [-b|--bindhome=<user>]
 	release: $release
-	bindhome: bind <user>'s home into the container
 	arch: x86 or x86_64: defaults to host arch
+	bindhome: bind <user>'s home into the container
 	EOF
 }
 
@@ -311,10 +311,10 @@ prog=`basename $0`
 path="" ; name="" ; rootfs=""
 clean=0
 release=${release:-5.x}
-bindhome=""
 arch=`uname -m | sed 's/i.86/x86/'` ; hostarch=$arch
-sopts=hp:n:cr:b:a:
-lopts=help,path:,name:,rootfs:,clean,release:,bindhome:,arch:
+bindhome=""
+sopts=hp:n:cr:a:b:
+lopts=help,path:,name:,rootfs:,clean,release:,arch:,bindhome:
 if ! options=`getopt -o $sopts -l $lopts -- "$@"` ; then
   usage
   exit 1
@@ -328,8 +328,8 @@ while true ; do
   --rootfs) rootfs=$2 ; shift 2 ;;
   -c|--clean) clean=1 ; shift 1 ;;
   -r|--release) release=$2 ; shift 2 ;;
-  -b|--bindhome) bindhome=$2 ; shift 2 ;;
   -a|--arch) arch=$2 ; shift 2 ;;
+  -b|--bindhome) bindhome=$2 ; shift 2 ;;
   --) shift 1 ; break ;;
   *) break ;;
   esac
-- 
1.8.4.4


More information about the lxc-devel mailing list